/vercel-edge-config | Type: Application | PCID required: Yes
Tools
vercel_edge_config_create_edge_config
Create an Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | Yes | — | The Team slug to perform the request on behalf of. |
items | object | No | — | The items value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"items": {
"type": "object",
"description": "The items value"
}
},
"required": [
"PCID",
"slug"
]
}
vercel_edge_config_create_edge_config_token
Create an Edge Config token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
label | string | Yes | — | The label value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"label": {
"type": "string",
"description": "The label value"
}
},
"required": [
"PCID",
"edgeConfigId",
"label"
]
}
vercel_edge_config_dangerously_delete_by_src_images
Dangerously delete by source image Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectIdOrName | string | Yes | — | Project Id Or Name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
revalidationDeadlineSeconds | number | No | — | Revalidation Deadline Seconds |
srcImages | string[] | Yes | — | Src Images |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectIdOrName": {
"type": "string",
"description": "Project Id Or Name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"revalidationDeadlineSeconds": {
"type": "number",
"description": "Revalidation Deadline Seconds"
},
"srcImages": {
"type": "array",
"items": {
"type": "string"
},
"description": "Src Images"
}
},
"required": [
"PCID",
"projectIdOrName",
"srcImages"
]
}
vercel_edge_config_dangerously_delete_by_tags
Dangerously delete by tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectIdOrName | string | Yes | — | Project Id Or Name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
revalidationDeadlineSeconds | number | No | — | Revalidation Deadline Seconds |
tags | string[] | Yes | — | The tags value |
target | string | No | — | The target value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectIdOrName": {
"type": "string",
"description": "Project Id Or Name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"revalidationDeadlineSeconds": {
"type": "number",
"description": "Revalidation Deadline Seconds"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"target": {
"type": "string",
"description": "The target value",
"enum": [
"production",
"preview"
]
}
},
"required": [
"PCID",
"projectIdOrName",
"tags"
]
}
vercel_edge_config_delete_edge_config
Delete an Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_delete_redirects
Delete project-level redirects. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
name | string | No | — | The name value |
redirects | string[] | Yes | — | The redirects to delete. The source of the redirect is used to match the redirect to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"name": {
"type": "string",
"description": "The name value"
},
"redirects": {
"type": "array",
"items": {
"type": "string"
},
"description": "The redirects to delete. The source of the redirect is used to match the redirect to delete."
}
},
"required": [
"PCID",
"projectId",
"redirects"
]
}
vercel_edge_config_delete_schema
Delete an Edge Config’s schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_delete_tokens
Delete one or more Edge Config tokens Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
tokens | string[] | Yes | — | The tokens value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"tokens": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tokens value"
}
},
"required": [
"PCID",
"edgeConfigId",
"tokens"
]
}
vercel_edge_config_edit_redirect
Edit a project-level redirect. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
name | string | No | — | The name value |
redirect | object | Yes | — | The redirect object to edit. The source field is used to match the redirect to modify. |
restore | boolean | No | — | If true, restores the redirect from the latest production version to staging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"name": {
"type": "string",
"description": "The name value"
},
"redirect": {
"type": "object",
"description": "The redirect object to edit. The source field is used to match the redirect to modify.",
"properties": {
"source": {
"type": "string",
"description": "The source value"
},
"destination": {
"type": "string",
"description": "The destination value"
},
"statusCode": {
"type": "number",
"description": "Status Code"
},
"permanent": {
"type": "boolean",
"description": "The permanent value"
},
"caseSensitive": {
"type": "boolean",
"description": "Case Sensitive"
},
"query": {
"type": "boolean",
"description": "Search query string"
},
"preserveQueryParams": {
"type": "boolean",
"description": "Preserve Query Params"
}
},
"required": [
"source"
]
},
"restore": {
"type": "boolean",
"description": "If true, restores the redirect from the latest production version to staging."
}
},
"required": [
"PCID",
"projectId",
"redirect"
]
}
vercel_edge_config_get_backup
Get Edge Config backup Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
edgeConfigBackupVersionId | string | Yes | — | Edge Config Backup Version Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"edgeConfigBackupVersionId": {
"type": "string",
"description": "Edge Config Backup Version Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId",
"edgeConfigBackupVersionId"
]
}
vercel_edge_config_get_backups
Get Edge Config backups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
next | string | No | — | The next value |
limit | number | No | — | Maximum number of results to return |
metadata | string | No | — | The metadata value |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"next": {
"type": "string",
"description": "The next value"
},
"limit": {
"type": "number",
"description": "Maximum number of results to return"
},
"metadata": {
"type": "string",
"description": "The metadata value"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_get_configs
Get Edge Configs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID"
]
}
vercel_edge_config_get_edge_config
Get an Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_get_item
Get an Edge Config item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
edgeConfigItemKey | string | Yes | — | Edge Config Item Key |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"edgeConfigItemKey": {
"type": "string",
"description": "Edge Config Item Key"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId",
"edgeConfigItemKey"
]
}
vercel_edge_config_get_items
Get Edge Config items Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_get_redirects
Gets project-level redirects. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
versionId | string | No | — | Version Id |
q | string | No | — | The q value |
diff | object | No | — | The diff value |
page | integer | No | — | Page number for pagination |
per_page | integer | No | — | Number of results per page |
sort_by | string | No | — | Sort By |
sort_order | string | No | — | Sort Order |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"versionId": {
"type": "string",
"description": "Version Id"
},
"q": {
"type": "string",
"description": "The q value"
},
"diff": {
"description": "The diff value"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_page": {
"type": "integer",
"description": "Number of results per page"
},
"sort_by": {
"type": "string",
"description": "Sort By",
"enum": [
"source",
"destination",
"statusCode"
]
},
"sort_order": {
"type": "string",
"description": "Sort Order",
"enum": [
"asc",
"desc"
]
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId"
]
}
vercel_edge_config_get_schema
Get Edge Config schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_get_token
Get Edge Config token meta data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
token | string | Yes | — | The token value |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"token": {
"type": "string",
"description": "The token value"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId",
"token"
]
}
vercel_edge_config_get_tokens
Get all tokens of an Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId"
]
}
vercel_edge_config_get_versions
Get the version history for a project’s redirects. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId"
]
}
vercel_edge_config_invalidate_by_src_images
Invalidate by source image Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectIdOrName | string | Yes | — | Project Id Or Name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
srcImages | string[] | Yes | — | Src Images |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectIdOrName": {
"type": "string",
"description": "Project Id Or Name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"srcImages": {
"type": "array",
"items": {
"type": "string"
},
"description": "Src Images"
}
},
"required": [
"PCID",
"projectIdOrName",
"srcImages"
]
}
vercel_edge_config_invalidate_by_tags
Invalidate by tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectIdOrName | string | Yes | — | Project Id Or Name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
tags | string[] | Yes | — | The tags value |
target | string | No | — | The target value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectIdOrName": {
"type": "string",
"description": "Project Id Or Name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"target": {
"type": "string",
"description": "The target value",
"enum": [
"production",
"preview"
]
}
},
"required": [
"PCID",
"projectIdOrName",
"tags"
]
}
vercel_edge_config_patch_items
Update Edge Config items in batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
items | object[] | Yes | — | The items value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"items": {
"type": "array",
"items": {
"type": "object",
"properties": {
"operation": {
"enum": [
"create",
"update",
"upsert",
"delete"
],
"description": "The operation value"
},
"key": {
"type": "string",
"description": "The key value"
},
"value": {
"description": "The value value"
},
"description": {
"description": "The description value"
}
}
},
"description": "The items value"
}
},
"required": [
"PCID",
"edgeConfigId",
"items"
]
}
vercel_edge_config_patch_schema
Update Edge Config schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
dryRun | string | No | — | Dry Run |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
definition | object | Yes | — | The definition value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"dryRun": {
"type": "string",
"description": "Dry Run"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"definition": {
"description": "The definition value"
}
},
"required": [
"PCID",
"edgeConfigId",
"definition"
]
}
vercel_edge_config_restore_redirects
Restore staged project-level redirects to their production version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
name | string | No | — | The name value |
redirects | string[] | Yes | — | The redirects to restore. The source of the redirect is used to match the redirect to restore. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"name": {
"type": "string",
"description": "The name value"
},
"redirects": {
"type": "array",
"items": {
"type": "string"
},
"description": "The redirects to restore. The source of the redirect is used to match the redirect to restore."
}
},
"required": [
"PCID",
"projectId",
"redirects"
]
}
vercel_edge_config_stage_redirects
Stages new redirects for a project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
name | string | No | — | The name value |
overwrite | boolean | No | — | The overwrite value |
projectId | string | Yes | — | Project Id |
redirects | object[] | No | — | The redirects value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"name": {
"type": "string",
"description": "The name value"
},
"overwrite": {
"type": "boolean",
"description": "The overwrite value"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"redirects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"source": {
"type": "string",
"description": "The source value"
},
"destination": {
"type": "string",
"description": "The destination value"
},
"statusCode": {
"description": "Status Code"
},
"permanent": {
"type": "boolean",
"description": "The permanent value"
},
"caseSensitive": {
"type": "boolean",
"description": "Case Sensitive"
},
"query": {
"type": "boolean",
"description": "Search query string"
},
"preserveQueryParams": {
"type": "boolean",
"description": "Preserve Query Params"
}
},
"required": [
"source",
"destination"
]
},
"description": "The redirects value"
}
},
"required": [
"PCID",
"projectId",
"teamId"
]
}
vercel_edge_config_update_edge_config
Update an Edge Config Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
edgeConfigId | string | Yes | — | Edge Config Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | Yes | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"edgeConfigId": {
"type": "string",
"description": "Edge Config Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"edgeConfigId",
"slug"
]
}
vercel_edge_config_update_version
Promote a staging version to production or restore a previous production version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
action | string | Yes | — | The action value |
id | string | Yes | — | The id value |
name | string | No | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"action": {
"type": "string",
"description": "The action value",
"enum": [
"promote",
"restore",
"discard"
]
},
"id": {
"type": "string",
"description": "The id value"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"projectId",
"action",
"id"
]
}

